package com.zd.airbottle.mapper;

import com.zd.airbottle.domain.QpTransportCar;
import com.zd.airbottle.domain.vo.QpTransportCarVo;

import java.util.List;

/**
 * 运输车辆Mapper接口
 * 
 * @author zd
 * @date 2022-05-12
 */
public interface QpTransportCarMapper 
{
    /**
     * 查询运输车辆
     * 
     * @param id 运输车辆主键
     * @return 运输车辆
     */
    QpTransportCar selectQpTransportCarById(Long id);

    /**
     * 查询运输车辆列表
     * 
     * @param qpTransportCar 运输车辆
     * @return 运输车辆集合
     */
    List<QpTransportCar> selectQpTransportCarList(QpTransportCar qpTransportCar);

    /**
     * 新增运输车辆
     * 
     * @param qpTransportCar 运输车辆
     * @return 结果
     */
    int insertQpTransportCar(QpTransportCar qpTransportCar);

    /**
     * 修改运输车辆
     * 
     * @param qpTransportCar 运输车辆
     * @return 结果
     */
    int updateQpTransportCar(QpTransportCar qpTransportCar);

    /**
     * 删除运输车辆
     * 
     * @param id 运输车辆主键
     * @return 结果
     */
    int deleteQpTransportCarById(Long id);

    /**
     * 批量删除运输车辆
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteQpTransportCarByIds(Long[] ids);

    /**
     * 根据ID查询运输车辆列表
     *
     * @param ids 运输车辆
     * @return 运输车辆集合
     */
    List<QpTransportCar> selectQpTransportCarListByIds(Long[] ids);

    /**
     * 根据供应商ID集合获取运输人员数量
     * @param supplierIds 供应商ID集合
     * @return map结果集
     */
    List<QpTransportCarVo> getBySupplierIds(List<Long> supplierIds);


    /***
     * 查询供应商下的注册车辆
     * @param qpTransportCarVo
     * @return
     */
    List<QpTransportCar> selectCarList(QpTransportCarVo qpTransportCarVo);
}
